#ifndef PROGRESS_H
#define PROGRESS_H

#include <QWidget>
#include <QIcon>

namespace Ui {
class Progress;
}

class Progress : public QWidget
{
    Q_OBJECT
signals:
    void setRange(int, int);
    void setValue(int, QIcon, QString);
    void addValue(int, QIcon, QString);
    void title(QString);
public:
    explicit Progress(QWidget *parent = nullptr);
    ~Progress();
private slots:
    void slotsSetValue(int, QIcon icon = QIcon(), QString str = QString());
    void slotsAddValue(int, QIcon icon = QIcon(), QString str = QString());
    void slotsUpdateIcon(QIcon);
private:
    Ui::Progress *ui;
};

#endif // PROGRESS_H
